<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use ApnaComplex\User;
use DB;
class ApartmentAdminController extends Controller
{
	public function __construct()
    {
        
		$this->middleware('auth');
		
		$this->middleware(function ($request, $next) {
            $this->userInfo= DB::table('users')->where('id', Auth::id())->first();

            Session(['userInfo' => $this->userInfo]);
					
			$userData= Session('userGroup');			
			
			$group_id= $userData[0]->group_id;
			$this->apartment_id= $userData[0]->apartment_id;
			
			if($group_id !=2){
				return redirect('/home');
			}
			 
            return $next($request);
        });
		
    }
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
	
    public function index()
    {   
        $data['title'] = 'Dashboard'; 	
	    //return view('apartmentAdmin.index',$data);
		return redirect('apartmentadmin/complaints/1');
    } 
	public function profile(){
		$data['title'] = 'Profile';
        $data['userInfo']= $this->userInfo;
        
		return view('apartmentAdmin.profile', $data);
	}
	
	public function edit_profile(){
		$data['title'] = 'Edit Profile';
        $data['userInfo']=$this->userInfo; 		 
		return view('apartmentAdmin.edit_profile', $data);
		
	}
	
	public function edit_profile_post(Request $request){ 
	
	    
		$data['title'] = 'Edit Profile';
        
		$this->validate($request, [
            'image' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'city' => 'required',
        ]);
		
		$user_id=  Auth::id();
		$imgPath=$request->get('hiddenUserImage');
        if($file = $request->hasFile('image')) {
			$image = $request->file('image');
			
			$input['imagename'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/images');
			$image->move($destinationPath, $input['imagename']);
			$imgPath= $input['imagename'];
			
			$userProfile= $this->userInfo;
			$userImg= $userProfile->userimage;
			
			if($userImg){
				if(file_exists(public_path("images/$userImg"))){
				  unlink(public_path("images/$userImg"));
				}
			}
        }
		
		$data= array('userimage' => $imgPath,
				'city' => $request->get('city'),				
				'pincode'=>    $request->get('pincode'),
				'mobile'  => $request->get('mobile'));
				
		DB::table('users')->where('id', $user_id)->update($data); 
        
		
        return redirect('apartmentadmin/profile')->with('message','Updated successfully!');
		
	}
	
	public function change_password(Request $request)
    {
		$data['title']="Change Password";
		
		if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
			$this->validate($request, [
				'old' => 'required',
				'password' => 'required|min:6|confirmed',
			]);
	 
			$user = User::find(Auth::id());
			$hashedPassword = $user->password;
	 
			if (Hash::check($request->old, $hashedPassword)) {
				//Change the password
				$user->fill([
					'password' => Hash::make($request->password)
				])->save();
	 
				$request->session()->flash('success', 'Your password has been changed.');
	 
				return back();
			}
	 
			$request->session()->flash('failure', 'Your password has not been changed.');
	 
			return back();
        }
		else{
			return view('apartmentAdmin/change_password', $data);
		}
 
    }
	
	public function block(){
		$data['apartment_id']= $apartment_id= $this->apartment_id;
		$data['title']="Blocks";		
		
		$data['block']=	DB::select("SELECT blocks.*, count(units.block_id) as number_of_units        
						from blocks
						left join units
						on (blocks.id = units.block_id) where blocks.apartment_id=$apartment_id
						group by
                        blocks.id");
						
		return view('apartmentAdmin/blocks',$data);
	}
	
	public function units($block_id=null){
		$data['apartment_id']= $apartment_id= $this->apartment_id;
		$data['title']="Blocks";
		
        $data['units']=	DB::select("SELECT units.*, blocks.block_name        
						from units
						left join blocks
						on (units.block_id = blocks.id)
						where units.apartment_id=$apartment_id");
			
		return view('apartmentAdmin/units',$data);
	}
	
	public function complaints($status=null){
		
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
        if($status==1){
			$data['title'] = 'Open Complaints';
			$complaints	=DB::select("SELECT cb.*,group_roles.role_name as ctype        
						from complaint_box as cb
						left join group_roles
						on (group_roles.id =  cb.complaint_category)
						WHERE cb.apartment_id=$apartment_id AND
						(cb.current_status='Open' OR cb.current_status='In progress' OR cb.current_status='On hold')							
						ORDER BY cb.created_on DESC"); 
		}			
		if($status==0){
			$data['title'] = 'Closed Complaints';
			$complaints	=DB::select("SELECT cb.*,group_roles.role_name as ctype        
						from complaint_box as cb
						left join group_roles
						on (group_roles.id =  cb.complaint_category)
						WHERE cb.apartment_id=$apartment_id AND	
						(cb.current_status='Closed' OR cb.current_status ='Cancelled') 		
						ORDER BY cb.created_on DESC"); 
		}
		
        $complaintsData=array();
        if($complaints){
			foreach($complaints as $row){
			  
			  $complaintsData[]=array(
			    'id' => $row->id,
				'complaint_nature' => $row->complaint_nature,
				'complaint_type' => $row->complaint_type,
				'complaint_category' => $row->complaint_category,
				'descriptions' => $row->descriptions,
				'attachment' => $row->attachment,
				'is_urgent' => $row->is_urgent,
				'current_status' => $row->current_status,
				'created_on' => $row->created_on,
				'last_updated' => $row->updated_at,
				
				'ctype' => $row->ctype
			  );

			}
		}
		
        $data['complaints']= $complaintsData;
		
		return view('apartmentAdmin.complaints', $data);
	}
	
	
	
    public function compose_notice(request $request){
		$data['title']="Post Notice";
		$data['apartment_id']= $apartment_id= $this->apartment_id;
		 
		if($_SERVER['REQUEST_METHOD'] == 'POST'){

		   $expiry_time= ($request->get('expiry_time')=='custom') ? $request->get('customDate') : $request->get('expiry_time');
		   
			$this->validate($request, [
			'attachmentFile' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'subject' => 'required',
			'descriptions' => 'required'
			]);
			
			$attachmentFile="";
			
			if($file = $request->hasFile('attachmentFile')) {
				$image = $request->file('attachmentFile');			
				$input['attachmentFile'] = time().'.'.$image->getClientOriginalExtension();
				$destinationPath = public_path('/notice');
				
				$image->move($destinationPath, $input['attachmentFile']);					
				$attachmentFile= $input['attachmentFile'];
				
			}
			$created_at= date('Y-m-d H:i:s');
			$visible_group= $request->get('notice_visible_group');
			
			$data= array(
					'apartment_id' => $apartment_id,
					'subject' => $request->get('subject'),
					'descriptions' => $request->get('descriptions'),
					'flash_notice'=> ($request->get('flash_notice')) ? 1:0,
					'expiry_time'=> $expiry_time,
					'attachment' => $attachmentFile,
					'notice_visible_group'=>$request->get('notice_visible_group'),
					'created_at'  => $created_at
			);
			
			$notice_id= DB::table('notice_board')->insertGetId($data);
			
			
				if($visible_group=='onlySelected'){
					$selectedUser= $request->get('selectedUser'); 
					if($selectedUser){
						//$data= explode(',', $selectedUser);
						//$FinalSelectedUser= DB::select("Select id from users where unit_id IN($selectedUser)");
						$FinalSelectedUser= DB::select("Select user_id from users_groups where unit_id IN($selectedUser)");
						
						if($FinalSelectedUser){
							foreach($FinalSelectedUser as $user){
								$insertNoticeData=array(
									'notice_id'=>$notice_id,
									'apartment_id' =>$apartment_id,
									'user_id'=>$user->user_id,
									'expiry_time'=> $expiry_time,
									'created_at'=>$created_at
								);
								
								DB::table('notice_users')->insert($insertNoticeData);
							}
						
						}
						
					}
				}
					
				if($visible_group=='members'){
					
					$GroupUser= DB::select("Select users.id 
										 from users 
										 join users_groups on (users_groups.user_id =  users.id)
										 where users_groups.group_id=3 AND apartment_id=$apartment_id
					            ");
					 
					if($GroupUser){
						foreach($GroupUser as $users){
							$insertNoticeData=array(
								'notice_id'=>$notice_id,
								'apartment_id' =>$apartment_id,
								'user_id'=>$users->id,
								'expiry_time'=> $expiry_time,
								'created_at'=>$created_at
							);
							
							DB::table('notice_users')->insert($insertNoticeData);
						}
					}
					
					
				}
			
			
            return redirect('apartmentadmin/noticeboard/1')->with('message','Notice sent successfully!');
		}
		
		else{
			
			$units=	DB::select("SELECT units.block_id,units.id,
			            units.unit_name, blocks.block_name        
						from units
						left join blocks
						on (units.block_id = blocks.id)
						where units.apartment_id=$apartment_id");
			/* if($units){
				foreach($units as $row){
					$users=	DB::select("SELECT user_id form users_groups where apartment_id=$apartment_id AND block_id=$row->block_id AND unit_id=$row->id");
				}
			}				
				 */		
			$data['units']=$units;			
						
			return view('apartmentAdmin.compose_notice',$data);
		}
	}
	
	public function noticeboard($notice_type=null){
		
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
		if($notice_type==1){
            $data['title'] = 'Current Notices';			
			$data['noticeboard']	= DB::table('notice_board')->where('apartment_id', $apartment_id)
			 ->where('expiry_time', '>=', date('Y-m-d H:i:s'))->orderBy('created_at','DESC')->get();
		}
        
		if($notice_type==0){
            $data['title'] = 'Expired Notices';			
			$data['noticeboard']	= DB::table('notice_board')->where('apartment_id', $apartment_id)
			 ->where('expiry_time', '<', date('Y-m-d H:i:s'))->orderBy('created_at','DESC')->get();
		}		
		 
		return view('apartmentAdmin.noticeboard', $data);
	}
	
	public function complaint_info($complaint_id=null){
		$data['title'] = 'Commplaint Details';
        $data['apartment_id']= $apartment_id= $this->apartment_id;
		$from_user_id = Auth::user()->id;
		
		$data['complaintInfo'] = DB::select("SELECT complaint_box.*,group_roles.role_name as ctype        
							from complaint_box
							left join group_roles
							on (group_roles.id =  complaint_box.complaint_category)
							WHERE complaint_box.apartment_id=$apartment_id AND complaint_box.id=$complaint_id"); 
		
        $data['cStatus'] =$this->get_complaint_status($complaint_id);		
		return view('apartmentAdmin.complaint_info', $data);
	}
	
	
	public function get_complaint_status($complaint_id){
		$statusInfo	=DB::select("SELECT complaint_status,descriptions,updated_at from complaint_status where complaint_id=$complaint_id ORDER BY updated_at DESC");
		
		return $statusInfo;
		
	}
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
