<?php

namespace ApnaComplex\Http\Controllers\Auth;

use ApnaComplex\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Session;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
     */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/login';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest', ['except' => 'logout']);
    }

    /**
     * Get the needed authorization credentials from the request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    protected function credentials(Request $request)
    {
        $field = filter_var($request->get($this->username()), FILTER_VALIDATE_EMAIL)
            ? $this->username()
            : 'username';

        return [
            $field => $request->get($this->username()),
            'password' => $request->password,
        ];
    }
	
	
	protected function authenticated(Request $request, $user)
    {
		
		$groupData = session('userGroup');		
		 
		if($groupData[0]->group_id==1){
			
			return redirect('/superadmin');
		}
		if($groupData[0]->group_id==2){
			return redirect('/apartmentadmin');
		}
		
		if($groupData[0]->group_id==3){
			return redirect('/member');
		}
		if($groupData[0]->group_id==4){
			return redirect('/maintenance');
		}
        
    }
	
	public function login(Request $request)
    {
        $this->validateLogin($request);

        // If the class is using the ThrottlesLogins trait, we can automatically throttle
        // the login attempts for this application. We'll key this by the username and
        // the IP address of the client making these requests into this application.
        if ($this->hasTooManyLoginAttempts($request)) {
            $this->fireLockoutEvent($request);

            return $this->sendLockoutResponse($request);
        }

        if ($this->attemptLogin($request)) {
            return $this->sendLoginResponse($request);
        }

        // If the login attempt was unsuccessful we will increment the number of attempts
        // to login and redirect the user back to the login form. Of course, when this
        // user surpasses their maximum number of attempts they will get locked out.
        $this->incrementLoginAttempts($request);

        return $this->sendFailedLoginResponse($request);
    }
	
	protected function sendLoginResponse(Request $request)
    {
        	
		$request->session()->regenerate();
        $this->clearLoginAttempts($request);		
        $user_id= $this->guard()->user()->id;		
		$data=  DB::select("select *from users_groups where user_id= $user_id");
		
		$userData= $this->guard()->user();
		
		Session(['userGroup' => $data]);
		
        return $this->authenticated($request, $userData)
                ?: redirect()->intended($this->redirectPath());		
    }
	
	public function logout(Request $request) {
	  Auth::logout();
	  Session::forget('userGroup'); 
      Session::forget('userInfo'); 	  
	  return redirect('/login');
	}

}
