<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use ApnaComplex\User;
use DB;
class MaintenanceController extends Controller
{
	public function __construct()
    {
        
		$this->middleware('auth');
		
		$this->middleware(function ($request, $next) {
            $this->userInfo= DB::table('users')->where('id', Auth::id())->first();

            Session(['userInfo' => $this->userInfo]);
					
			$userData= Session('userGroup');			
			
			$group_id= $userData[0]->group_id;
			$this->apartment_id= $userData[0]->apartment_id;
			
			if($group_id !==4){
				return redirect('/home');
			}
			 
            return $next($request);
        });
		
    }
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
	 
	public function index()
    {    
	    return redirect('maintenance/profile');
	    //return view('maintenance.index');
    }
	
	public function profile(){
		$data['title'] = 'Profile';
        $data['userInfo']= $this->userInfo;
        
		return view('maintenance.profile', $data);
	}
	
	public function edit_profile(){
		$data['title'] = 'Edit Profile';
        $data['userInfo']=$this->userInfo; 		 
		return view('maintenance.edit_profile', $data);
		
	}
	
	public function edit_profile_post(Request $request){ 
	
	    
		$data['title'] = 'Edit Profile';
        
		$this->validate($request, [
            'image' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
			'city' => 'required',
        ]);
		
		$user_id=  Auth::id();
		$imgPath=$request->get('hiddenUserImage');
        if($file = $request->hasFile('image')) {
			$image = $request->file('image');
			
			$input['imagename'] = time().'.'.$image->getClientOriginalExtension();
			$destinationPath = public_path('/images');
			$image->move($destinationPath, $input['imagename']);
			$imgPath= $input['imagename'];
			
			$userProfile= $this->userInfo;
			$userImg= $userProfile->userimage;
			if($userImg){
				if(file_exists(public_path("images/$userImg"))){
				  unlink(public_path("images/$userImg"));
				}
			}
        }
		
		$data= array('userimage' => $imgPath,
				'city' => $request->get('city'),				
				'pincode'=>    $request->get('pincode'),
				'mobile'  => $request->get('mobile'));
				
		DB::table('users')->where('id', $user_id)->update($data); 
        
		
        return redirect('maintenance/profile')->with('message','Updated successfully!');
		
	}
	
	public function change_password(Request $request)
    {
		$data['title']="Change Password";
		
		if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
			$this->validate($request, [
				'old' => 'required',
				'password' => 'required|min:6|confirmed',
			]);
	 
			$user = User::find(Auth::id());
			$hashedPassword = $user->password;
	 
			if (Hash::check($request->old, $hashedPassword)) {
				//Change the password
				$user->fill([
					'password' => Hash::make($request->password)
				])->save();
	 
				$request->session()->flash('success', 'Your password has been changed.');
	 
				return back();
			}
	 
			$request->session()->flash('failure', 'Your password has not been changed.');
	 
			return back();
        }
		else{
			return view('maintenance/change_password', $data);
		}
 
    }
	

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
