<?php
namespace ApnaComplex\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use ApnaComplex\User;
use DB;
class WebserviceController extends Controller
{
   public function __construct()
    {        
		 //$this->middleware('auth');	
    }
	
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
    */
	
	public function insert_complaint(request $request){
		
		$input = $request->all();
        $validator = Validator::make($input, [
		    'attachmentFile' => 'image|mimes:jpeg,png,jpg,gif,svg|max:2048',
            'descriptions' => 'required',
            'complaint_category' => 'required',
			'apartment_id'=> 'required',
			'complaint_nature'=> 'required',
			'complaint_type' =>'required',
			'from_user_id' =>'required',
        ]);
		
		
		if($validator->fails()){
           
            return response()->json(array('status'=>'error','msg'=> 'Field required'), 201);			
        }
		else{
			$attachmentFile="";
			
			if($file = $request->hasFile('attachmentFile')) {
				$image = $request->file('attachmentFile');			
				$input['attachmentFile'] = time().'.'.$image->getClientOriginalExtension();
				$destinationPath = public_path('/complaint');
				
				$image->move($destinationPath, $input['attachmentFile']);					
				$attachmentFile= $input['attachmentFile'];
				
			}
			
			$complaint_type= $request->get('complaint_type');
			
			$assign_to='admin';
			
			$data= array(
				'apartment_id' => $request->get('apartment_id'),
				'from_user_id' => $request->get('from_user_id'),
				'assign_to' => $assign_to,
				'complaint_nature' => $request->get('complaint_nature'),
				'complaint_type' => $request->get('complaint_type'),
				'complaint_category' => $request->get('complaint_category'),
				'descriptions' => $request->get('descriptions'),
				'attachment' => $attachmentFile,
				'is_urgent' => $request->get('is_urgent'),
				'current_status'=>'Open',
				'created_on'  => date('Y-m-d H:i:s')
			);
			
			$cId= DB::table('complaint_box')->insertGetId($data);
			
            return response()->json(array('status'=>'success','complaint_id'=>$cId,'msg'=> 'Successfully Sent!'), 200);			
			
		}
	}
	
	//http://localhost/apnacomplex/public/webservice/insert_complaint?descriptions=test&from_user_id=1&is_urgent=1&complaint_category=4&apartment_id=1&complaint_nature=Complaint&complaint_type=Personal
	
	//http://localhost/apnacomplex/public/webservice/get_complaints?apartment_id=1&from_user_id=1
	
	public function get_complaints(request $request){
		
        $input = $request->all();
        $validator = Validator::make($input, [
			'apartment_id' =>'required',
			'from_user_id' =>'required',
			'status' =>'required'
        ]);
		
		$apartment_id= $request->get('apartment_id');
		$from_user_id= $request->get('from_user_id');
		
		$cStatus = $request->get('status');
		$data=array();
		
		if($validator->fails()){
           
            return response()->json(array('status'=>'error','msg'=> 'Field required'), 201);			
        }
		else{
			if($cStatus=='Open'){
				$complaints	=DB::select("SELECT cb.id,cb.complaint_nature,cb.complaint_type,cb.descriptions,cb.is_urgent,cb.current_status,
				cb.created_on, rr.role_name as complaint_category        
								from complaint_box as cb
								left join group_roles as rr
								on (rr.id =  cb.complaint_category)
								WHERE cb.apartment_id=$apartment_id AND
								cb.from_user_id=$from_user_id AND
								(cb.current_status='Open' OR cb.current_status='In progress' OR cb.current_status='On hold')
								ORDER BY cb.created_on DESC
								");
            }
           if($cStatus=='Closed'){
                 $complaints	=DB::select("SELECT cb.id,cb.complaint_nature,cb.complaint_type,cb.descriptions,cb.is_urgent,cb.current_status,
				 cb.created_on, rr.role_name as complaint_category        
								from complaint_box as cb
								left join group_roles as rr
								on (rr.id =  cb.complaint_category)
								WHERE cb.apartment_id=$apartment_id AND
								cb.from_user_id=$from_user_id AND
								(cb.current_status='Closed' OR cb.current_status='Cancelled')
								ORDER BY cb.created_on DESC
								");
			}
            
            if($complaints){
				
				foreach($complaints as $row){
					
					$data[]=array(
						'id' => $row->id,
						'complaint_nature' => $row->complaint_nature,
						'complaint_type' =>$row->complaint_type,
						'descriptions' => $row->descriptions,
						'is_urgent' => $row->is_urgent,
						'current_status' => $row->current_status,
						'created_on' => $row->created_on,
						'complaint_category' => $row->complaint_category,
						'status_info'=>$this->get_complaint_status($row->id)
					
					);
					
					
				}
			}				
		}
		
		
		return response()->json(array('status'=>'success','data'=> $data), 200);
	}
	
	public function get_complaint_status($complaint_id){
			
		
							
		
		$statusInfo	=DB::select("SELECT complaint_status,descriptions,updated_at from complaint_status where complaint_id=$complaint_id ORDER BY updated_at DESC");
		
		return $statusInfo;
		
	}
	
	public function get_complaint_info(request $request){
		$input = $request->all();
        $validator = Validator::make($input, [			
			'complaint_id' =>'required'
        ]);
		
		$complaint_id= $request->get('complaint_id');
		
		if($validator->fails()){
           
            return response()->json(array('status'=>'error','msg'=> 'Field required'), 201);			
        }
		else{
			
			$complaintInfo	=DB::select("SELECT cb.id,cb.complaint_nature,cb.complaint_type,cb.descriptions,cb.is_urgent,cb.current_status,
				 cb.created_on, rr.role_name as complaint_category        
								from complaint_box as cb
								left join group_roles as rr
								on (rr.id =  cb.complaint_category)
								WHERE cb.id=$complaint_id");
								
			
			$statusInfo	=DB::select("SELECT complaint_status,descriptions,updated_at from complaint_status where complaint_id=$complaint_id");
			
            $data=array(
			  'complaintInfo'=> $complaintInfo,
			  'statusInfo'=> $statusInfo
			
			);			
		}
		
		return response()->json(array('status'=>'success','complaintInfo'=> $complaintInfo,'statusInfo'=>$statusInfo), 200);
	}
	
	public function get_notices(request $request){
		
        $input = $request->all();
        $validator = Validator::make($input, [
			'apartment_id' =>'required',
			'user_id' =>'required',
			'notice_type' =>'required'
        ]);
		
		$apartment_id= $request->get('apartment_id');
		$user_id= $request->get('user_id');		
		$notice_type = $request->get('notice_type');
		
		$cDate= date('Y-m-d H:i:s');
		if($validator->fails()){
           
            return response()->json(array('status'=>'error','msg'=> 'Field required'), 201);			
        }
		else{
			if($notice_type==1){
				
			 /*   $noticeboard	= DB::table('notice_board')->where('apartment_id', $apartment_id)
			 ->where('expiry_time', '>=', date('Y-m-d H:i:s'))
			 ->where('notice_visible_group','members')
			 ->orderBy('created_at','DESC')->get(); */
			 
			 $noticeboard = DB::select("SELECT * from notice_board where id IN(SELECT notice_id from notice_users where apartment_id=$apartment_id AND
			 expiry_time >= '$cDate' AND (user_id=$user_id OR user_id IS NULL))
			 ORDER BY created_at DESC");
			 
			}
			
			if($notice_type==0){

			
				/* $noticeboard	= DB::table('notice_board')->where('apartment_id', $apartment_id)
				 ->where('expiry_time', '<', date('Y-m-d H:i:s'))
				 ->where('notice_visible_group','members')
				 ->orderBy('created_at','DESC')->get(); */
				
                $noticeboard = DB::select("SELECT * from notice_board where id IN(SELECT notice_id from notice_users where apartment_id=$apartment_id AND
				 expiry_time < '$cDate' AND (user_id=$user_id OR user_id IS NULL))
				 ORDER BY created_at DESC ");				
				 
			}		
		}
		
		return response()->json(array('status'=>'success','data'=> $noticeboard), 200);
	}
	
	public function login(request $request){
		
        $input = $request->all();
        $validator = Validator::make($input, [
			'email' =>'required',
			'password' =>'required'
        ]);
		
		$email= $request->get('email');
		$password= $request->get('password');
		$data=array();
		
		if($validator->fails()){
           
            return response()->json(array('status'=>'error','msg'=> 'Field required','data'=>$data), 201);			
        }
		else{
			//echo $encPass    = Hash::make($request->password);
			$userdata	= DB::table('users')->where('email', $email)->first();
			
			//echo "<br>".$userdata->password;
			
			if($userdata){
				if (Hash::check($request->password, $userdata->password)) {
				    $userdata2	=DB::select("SELECT * from users_groups where user_id= $userdata->id");
					//echo "<pre>";print_r($userdata2);
					$userInfo=array(
					'user_id'=>$userdata->id,
					'name'=>$userdata->name,
					'email'=>$userdata->email,
					'city'=>$userdata->city,
					'apartment_id'=>$userdata2[0]->apartment_id,
					'block_id'=>$userdata2[0]->block_id,
					'unit_id'=>$userdata2[0]->unit_id,
					);
					
					return response()->json(array('status'=>'success','msg'=> 'Successfully loggedIn','data'=> $userInfo), 200);
			    }
				else{
					return response()->json(array('status'=>'error','msg'=> 'Invalid Password','data'=>$data), 201);
				}
				
			}
            
            else{
				return response()->json(array('status'=>'error','msg'=> 'Invalid Email','data'=>$data), 201);
				
            }				
						 
		}
		
		
	}
	
	public function change22Password(Request $request){
		$this->validate($request, [
			'old' => 'required',
			'password' => 'required|min:6',
		]); 
		
		/* $user_id= $request->get('user_id');
		
		$user	= DB::table('users')->where('id', $user_id)->first();
		$hashedPassword = $user->password;
		
		if($validator->fails()){
		   
			return response()->json(array('status'=>'error','msg'=> 'Field required','data'=>$data), 201);			
		}
		else{
			if (Hash::check($request->old, $hashedPassword)) {
				
				$user->fill([
					'password' => Hash::make($request->password)
				])->save();
	 
				$request->session()->flash('success', 'Your password has been changed.');
	 
				return response()->json(array('status'=>'error','msg'=> 'Your password has been changed.'), 200);
			}
			
			else{
				return response()->json(array('status'=>'error','msg'=> 'Your password has not been changed.'), 201);
				
			}				
						 
		} */
	}
	public function change_password(request $request){
		
        $input = $request->all();
        $validator = Validator::make($input, [
			'old' => 'required',
			'password' => 'required|min:4',
			'confirmed' => 'required|min:4',
        ]);
		
		$user_id= $request->get('user_id');
		
		$countConf= strlen($request->confirmed);
		$countPass= strlen($request->password);
		
		
		if($validator->fails()){
		    if(!$countConf OR !$countPass){
				return response()->json(array('status'=>'error','msg'=> 'Field required'), 201);
			}
			else if($countConf < 4 OR $countPass < 4 ){
				return response()->json(array('status'=>'error','msg'=> 'The password must be at least 4 characters.'), 201);
				
			}				
		}
		else{
			
			if($request->password !==$request->confirmed){
				return response()->json(array('status'=>'error','msg'=> 'The password confirmation does not match.'), 201);
			}
			else{
				
				$user	= DB::table('users')->where('id', $user_id)->first();
				$hashedPassword = $user->password;
				if (Hash::check($request->old, $hashedPassword)) {
					
					$data= array('password' => Hash::make($request->password));
					
					DB::table('users')->where('id', $user_id)->update($data); 
		 
					return response()->json(array('status'=>'success','msg'=> 'Your password has been changed.'), 200);
				}
				
				else{
					return response()->json(array('status'=>'error','msg'=> 'Your password has not been changed.'), 201);
					
				}				
				
			}		 
		}
	}
	
    public function index()
    {    
	    
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
