@extends('layouts.apartmentadmin')
@section('content')
<!-- page content -->
	    <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title"><?php echo $title; ?></h3>
			   <span class="pull-right">
					<button class="btn btn-info btn-md edit_profile_btn" type="button">
					
						<a style="color:white; text-decoration:none" href="
						{{ url('apartmentadmin/noticeboard/1') }}" >
						<i class="fa fa-list icon-white"></i>&nbsp;&nbsp;Noticeboard
						</a>
					</button>
				</span>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
			<div class="box-body customForm">
			    <div class="col-md-10 col-md-offset-1"> 
					<form class="form-horizontal" method="POST" action="{{ url('apartmentadmin/compose_notice') }}" enctype="multipart/form-data" >
							{{ csrf_field() }}
							
							@if ($message = Session::get('message'))
							<div class=" alert alert-success alert-block">
								<button type="button" class="close" data-dismiss="alert">×</button>	
								<strong>{{ $message }}</strong>
							</div>
							@endif
							
							@if (count($errors) > 0)
								<div class="alert alert-danger">
									<strong>Whoops!</strong> There were some problems with your input.
										<ul>
										@foreach ($errors->all() as $error)
											<li> {{ $error }} </li>
										@endforeach
									</ul>
								</div>
							@endif
							
						    <input type="hidden" id="apartment_id" value="{{ $apartment_id}}">
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Subject:</label>
                              
								<div class="col-md-9">
									<input type="text" class="form-control" value="{{old('subject')}}"  name="subject" required>
								</div>
							</div>

                            <!--<div style="display:none" class="form-group personal_asign">
							    <div class="col-md-offset-4 col-md-8">
								  <label for="">Block</label>
								  <select class="selectBox" name="block" id="apartmentBlock">
								     
                                  </select>
								  
								  <label for="">Flat</label>
								  <select class="selectBox" name="unit" id="apartmentUnit">
								     
                                  </select>
								  
								</div>
							</div>
							-->
						
							<!--<div class="form-group">
								<label for="name" class="col-md-3 control-label">Flash the notice?</label>

								<div class="col-sm-9">
								<input type="checkbox" name="flash_notice" value="1" id="flash_notice">		<span class="supportInfo">Check this box if you want to flash this message to the the members, when they login into their accounts.</span>
								</div>
							</div>-->
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Expires By</label>

								<div class="col-sm-9">
								    <select name="expiry_time">
										<option value="<?php echo date("Y-m-d H:i:s", strtotime("+ 1 day"));   ?>">1 Day</option>
										<option value="<?php echo date("Y-m-d H:i:s", strtotime("+ 1 Week"));  ?>">1 Week</option>
										<option value="<?php echo date("Y-m-d H:i:s", strtotime("+ 15 days"));  ?>">15 Days</option>
										<option value="<?php echo date("Y-m-d H:i:s", strtotime("+ 1 month"));  ?>">One Month</option>
									</select>
								</div>
							</div>
							
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Description</label>

								<div class="col-md-9">
									<textarea id="editor1" class="form-control" name="descriptions" rows="10" cols="80">
										{{old('descriptions')}}				
									</textarea>
								</div>
							</div>
							
							<div class="form-group">						  
							  <label class="col-md-3 control-label" for="exampleInputPassword1">Attachment, if any</label>
							  <div class="col-md-9">
								 <input type="file" class="form-control" name="attachmentFile" id="file">
							  </div>						  
							</div>
				             
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Notice shall be visible to</label>
								<div class="col-sm-9">
								   <select name="notice_visible_group" id="notice_visible_group">
										<option value="members">All Members</option>
										
										<option onclick="selectUser('<?php echo $apartment_id; ?>')" value="onlySelected">Only Selected User</option>
									</select>
								</div>
							</div>
							<span id="test"></span>
							
							<div class="form-group">
								<div class="col-md-9 col-md-offset-3">
									<div class="">
										<button class="btn btn-info" type="submit" name="log complaint" id="submit_complaint">
												<i class="ace-icon fa fa-check bigger-110"></i>
												Submit
										</button>
										<button class="btn btn-info " type="submit" name="complaint_list" id="complaint_list">
												<i class="ace-icon fa fa-undo bigger-110"></i>
												Cancel
										</button>
									</div>
								</div>
							</div>
					</form>
				</div>
			</div>
        </div>	
	<!-- /page content -->
@endsection

	<div class="modal fade" id="modal-default">
			<div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Select Users</h4>
              </div>
			  
            <div class="modal-body">
				<form class="form-horizontal" id="updateBlock">
					<div class="form-group">
					   <?php foreach($units as $row){ ?>
					     
					   	 <div class="col-md-3">
						 <p><b><input type="checkbox" name="selected_unit" value="{{$row->id}}"/> 
						 <?php echo $row->block_name.'&nbsp;&nbsp'.$row->unit_name; ?></b></p>
					     
					    </div>
						<?php } ?>
					</div>
				</form>
            </div>
			 
            <div class="modal-footer">
			    <button type="button" class="btn btn-default " data-dismiss="modal">OK</button>
            </div>
            </div>
            <!-- /.modal-content -->
        </div>
          <!-- /.modal-dialog -->
    </div>
	
	
@section('pagescript')
    <script>
	    var values=[];
	    $(':checkbox[name=selected_unit]').on('change', function() {
			if($(this).is(":checked"))
			   values.push($(this).val());
		       
			else{
			   var x = values.indexOf($(this).val());
			   values.splice(x,1);
			}
			$('#test').html('<input type="hidden" id="selectedUser" name="selectedUser" value="'+values+'" />');     
		});
	    
		
		
		$(document).on('change', '#notice_visible_group', function(){ 
			var visible_on = $( "#notice_visible_group option:selected" ).val(); 
			
			if(visible_on=='onlySelected'){
				$("#modal-default").modal('show');
			}
			/* var base_url = $('#base_url').val();         
			var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
			var apartmentId = $('#apartment_id').val();
			
			
			var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
			
			$.ajax({
				type:'POST',
				url: base_url + '/common/get_',
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				data:'_token ='+CSRF_TOKEN+'&apartmentId='+apartmentId+'&maintenance_role_id='+maintenance_role_id,
				success:function(data){	
					var users= data.usersData;
					var usersOptions='';
					if(users.length>0){
					   for(var i=0; i<users.length; i++) { 		  
						 usersOptions += '<option value="'+users[i].id+'">'+users[i].name+'</option>';
						 
					   }
					}
					$('#assign_to_staff').html(usersOptions);
				}
			}); */

			
		});
		
	</script>
	
@stop