@extends('layouts.member')
@section('content')
<!-- page content -->
	    <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title"><?php echo $title; ?></h3>
			  <span class="pull-right">
					<button class="btn btn-info btn-md edit_profile_btn" type="button">
					
						<a style="color:white; text-decoration:none" href="
						{{ url('member/complaints') }}" >
						<i class="fa fa-list icon-white"></i>&nbsp;&nbsp;Complaints
						</a>
					</button>
				</span>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
			<div class="box-body customForm">
			    <div class="col-md-10 col-md-offset-1"> 
					<form class="form-horizontal" method="POST" action="{{ url('member/raise_complaint') }}" enctype="multipart/form-data" >
							{{ csrf_field() }}
							
							@if ($message = Session::get('message'))
							<div class=" alert alert-success alert-block">
								<button type="button" class="close" data-dismiss="alert">×</button>	
								<strong>{{ $message }}</strong>
							</div>
							@endif
							
							@if (count($errors) > 0)
								<div class="alert alert-danger">
									<strong>Whoops!</strong> There were some problems with your input.
										<ul>
										@foreach ($errors->all() as $error)
											<li> {{ $error }} </li>
										@endforeach
									</ul>
								</div>
							@endif
							
						    <input type="hidden" id="apartment_id" value="{{ $apartment_id}}">
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Complaint Nature:</label>
                              
								<div class="col-md-9">
									<input type="radio" class="complaint_nature" name="complaint_nature" value="Complaint" checked="checked" id="complaint">Complaint&nbsp;&nbsp;
									
									<input type="radio" class="complaint_nature" name="complaint_nature" value="Suggestion" id="suggestion">Suggestion&nbsp;&nbsp;
									
									<input type="radio" class="complaint_nature" name="complaint_nature" value="Request" id="Request">Request		
								</div>
							</div>

							<div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
								<label for="name" class="col-md-3 control-label">Complaint Type:</label>

								<div class="col-md-9">
									<input type="radio" class="complaint_type" name="complaint_type" value="Personal" id="personal">Personal&nbsp;&nbsp;			
									<input type="radio" class="complaint_type" name="complaint_type" value="Community" checked="checked" id="community">Community&nbsp;&nbsp;	
								</div>
							</div>
							
                            <!--<div style="display:none" class="form-group personal_asign">
							    <div class="col-md-offset-4 col-md-8">
								  <label for="">Block</label>
								  <select class="selectBox" name="block" id="apartmentBlock">
								     
                                  </select>
								  
								  <label for="">Flat</label>
								  <select class="selectBox" name="unit" id="apartmentUnit">
								     
                                  </select>
								  
								</div>
							</div>
							-->
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Assigned to</label>
								<div class="col-md-9">
									<select class="form-control" name="assign_to" id="assign_to1">
									    <?php  if($ApartmentAdmin) { ?>
											<?php  foreach($ApartmentAdmin as $row){ ?>
											<option value="{{$row->id}}">{{$row->name}}</option>
											<?php } ?>
										<?php } ?>
									</select>
								</div>
							</div>
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Category</label>
								<div class="col-md-9">
									<select class="form-control" name="complaint_cat" id="complaint_cat" required>
										<option value="">Select Complaint Category</option>
										<?php if($maintenance){ ?>
										 <?php foreach($maintenance as $row){ ?>
										      <option value="{{$row->id}}">{{$row->role_name}}</option>
										 <?php } ?>
										<?php } ?>
									</select>
								</div>
							</div>
							
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Is Urgent?</label>

								<div class="col-md-9">
									<input type="checkbox" name="is_urgent" value="1">
								</div>
							</div>
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Description</label>

								<div class="col-md-9">
									<textarea id="descriptions" class="form-control" name="descriptions" rows="10" cols="80">
															
									</textarea>
								</div>
							</div>
							
							<div class="form-group">						  
							  <label class="col-md-3 control-label" for="exampleInputPassword1">Attachment, if any</label>
							  <div class="col-md-9">
								 <input type="file" class="form-control" name="attachmentFile" id="file">
							  </div>						  
							</div>
							
							<div class="form-group">
								<label for="name" class="col-md-3 control-label">Serviced by Staff:</label>
								<div class="col-md-9">
									<select class="form-control" name="assign_to_staff" id="assign_to_staff">
										<option value="-1"></option>
										
									</select>
									<input type="checkbox" name="staff_sms" value="1" id="staff_sms"><span class="supportInfo">&nbsp;&nbsp;(check this if you would like to assign this update to the serviced by staff)</span>
								</div>
							</div>
							
							<div class="form-group">
								<div class="col-md-9 col-md-offset-3">
									<div class="">
										<button class="btn btn-info" type="submit" name="log complaint" id="submit_complaint">
												<i class="ace-icon fa fa-check bigger-110"></i>
												Submit
										</button>
										<button class="btn btn-info " type="submit" name="complaint_list" id="complaint_list">
												<i class="ace-icon fa fa-undo bigger-110"></i>
												Cancel
										</button>
									</div>
								</div>
							</div>
					</form>
				</div>
			</div>
        </div>	
	<!-- /page content -->
@endsection

@section('pagescript')
<script src="{{url('pages/js/complaint.js')}}"></script>
<script>
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('descriptions')
    //bootstrap WYSIHTML5 - text editor
    //$('.textarea').wysihtml5()
  })
</script>
	
@stop