@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Register</div>

                <div class="panel-body">
                    <form class="form-horizontal" method="POST" action="{{ route('register') }}">
                        {{ csrf_field() }}
						
                        <div class="form-group">
                            <label for="name" class="col-md-4 control-label">Apartment Complex</label>
                            <div class="col-md-6">
							  	
                                <select class="form-control" id="apartmentId" name="apartmentId" required>
							      <option value=""> Select your apartment complex</option>
							      <?php
								  if($apartments){
									  foreach($apartments as $row){ ?>
									   <option value="<?php echo $row->id ?>"> <?php echo $row->apartment_name ?> </option>
									 <?php  } ?>
								 <?php } ?>
							    </select>
								 @if ($errors->has('apartmentId'))
                                    <span class="help-block" id="apartmentSelection">
                                        <strong>{{ $errors->first('apartmentId') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
						
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Name</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label for="email" class="col-md-4 control-label">E-Mail Address</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label for="password" class="col-md-4 control-label">Password</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control" name="password" required>

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="password-confirm" class="col-md-4 control-label">Confirm Password</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                            </div>
                        </div>
                        
						 <div class="form-group">
                            <label for="name" class="col-md-4 control-label">City</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="city" value="{{ old('city') }}" required autofocus>
                            </div>
                        </div>
						
						<div class="form-group">
                            <label for="name" class="col-md-4 control-label">State</label>

                            <div class="col-md-6">
                               
							   <?php 
								 $statesUrl= asset('states.json');
								 $str = file_get_contents($statesUrl); 
                                 $data= json_decode($str);								 
								 ?>	
                               <select class="form-control" name="state">
							    <?php
                                  foreach($data as $row){ ?>
								  
								   <option><?php echo $row ?></option>
									  
								 <?php  } ?>
								
							   </select>
                            </div>
                        </div>
						
						<div class="form-group">
                            <label for="name" class="col-md-4 control-label"> Pincode </label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="pincode" value="{{ old('pincode') }}"  autofocus>

                            </div>
                        </div>
						
						<div class="form-group">
                            <label for="name" class="col-md-4 control-label"> Mobile </label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="mobile" value="{{ old('mobile') }}"  autofocus>

                            </div>
                        </div>
						
						<div class="form-group">
                            <label for="name" class="col-md-4 control-label"> You are </label>

                            <div class="col-md-6">
                               <select id="groupID" class="form-control" name="group_id" required>
							       <option value="" >  Select your role </option>
							       <option value="3" > Member </option>
							       <option value="4" > Maintenance user</option>
							   </select>
                            </div>
							<input type="hidden" name="role_id" >
                        </div>
						<div class="form-group">
						   <label for="name" style="display:none" id="role_control_label" class="col-md-4 control-label"> Select your role </label>
						   <div class="col-md-6">
						   <div id="rolesSection"></div>
						   </div>
						</div>
						
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Register
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
