<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'MyComplex') }}</title>
	
    <style>
		.bg {
			
			background-image: url("<?php echo asset('images/apartment.jpeg'); ?>");

			/* Full height */
			height: 100%;
            width: 100%; 			

			/* Center and scale the image nicely */
			/*background-position: center; */
			/*background-repeat: no-repeat; */
			background-size: cover;
		}
		
		.navbar-default {
		   background-color: #afd2f2 !important;
           border-color: #a3bfe4 !important;
		}
    </style>
	
    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body class="bg">
    <div  id="app">
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                        {{ config('app.name', 'MyComplex') }}
                    </a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Authentication Links -->
                        @if (Auth::guest())
                            <li><a href="{{ route('login') }}">Login</a></li>
                            <!--<li><a href="{{ route('register') }}">Register</a></li>-->
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a href="{{ route('logout') }}"
                                            onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            Logout
                                        </a>
                                       
                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
									<li>
										<?php 
											$groupData = session('userGroup');		
				 
											if($groupData[0]->group_id==1){
												
												$dashboardUrl='/superadmin';
											}
											if($groupData[0]->group_id==2){
												$dashboardUrl= '/apartmentadmin';
											}
											
											if($groupData[0]->group_id==3){
												$dashboardUrl= '/member';
											}
											if($groupData[0]->group_id==4){
												$dashboardUrl= '/maintenance';
											}
											?>
											
											<a href='{{ url("$dashboardUrl") }}' >
											  Dashboard
											</a>
                                            
									</li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </nav>

        @yield('content')
    </div>
	
	
    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
	
	<script src = "https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js">
      </script>
    <script>
	  
		$(document).on('change', '#groupID', function(){ 
			var groupId = $( "#groupID option:selected" ).val(); 
			var apartmentId = $( "#apartmentId option:selected" ).val();            
			var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
			
			if(!apartmentId){
				$('.btn-primary').trigger('click');
				$('#groupID option').removeAttr("selected");
			}
			
			if(!groupId){
				$('#rolesSection').html('');
				$('#role_control_label').hide(); 
			}
			
            $.ajax({
                type:'POST',
                url:"{{url('common/roles')}}",
			    headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
                data:'_token = <?php echo csrf_token() ?>&apartmentId='+apartmentId+'&groupId='+groupId,
                success:function(data){
                  
				   var data= data.info;
				    
					var options='';			  
					if(data.length>0){
					   
					   for(var i=0; i<data.length; i++) { 		  
						 options += '<input type="checkbox" name="roles_list[]" value="'+data[i].id+'">&nbsp&nbsp<label>'+
						 data[i].role_name+'</label><br>';
					   }
					   
					  $('#role_control_label').show(); 
					  $('#rolesSection').html(options);
					}
					else{
						$('#role_control_label').hide(); 
					    $('#rolesSection').html('');
					}
					
				  
                }
            }); 
          			
		});
		
		$(document).on('change', '#apartmentId', function(){ 
			var groupId = $( "#groupID option:selected" ).val(); 
			var apartmentId = $( "#apartmentId option:selected" ).val();            
			var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
			
			if(!apartmentId){
				$('#groupID option').removeAttr("selected");
			}
			
			if(!groupId){
				$('#rolesSection').html('');
				$('#role_control_label').hide(); 
			}
			
            $.ajax({
                type:'POST',
                url:"{{url('common/roles')}}",
			    headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
                data:'_token = <?php echo csrf_token() ?>&apartmentId='+apartmentId+'&groupId='+groupId,
                success:function(data){
				   var data= data.info;
				  
					var options='';			  
					if(data.length>0){
					   
					   for(var i=0; i<data.length; i++) { 		  
						 options += '<input type="checkbox" name="roles_list[]" value="'+data[i].id+'">&nbsp&nbsp<label>'+
						 data[i].role_name+'</label><br>';
					   }
					   
					  $('#role_control_label').show(); 
					  $('#rolesSection').html(options);
					}
					else{
					   $('#role_control_label').hide(); 
					   $('#rolesSection').html('');
					}
                }
            }); 
          			
		}); 
       		
    </script>
</body>
</html>
