<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('/success', function () {
    return view('success');
});

Route::get('apartmentadmin', 'ApartmentAdminController@index');
Route::get('member', 'MemberController@index');
Route::get('maintenance', 'MaintenanceController@index');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/superadmin', 'SuperAdminController@index');

/* super admin route */
Route::get('/profile', 'CommonController@profile');
Route::get('/superadmin/profile', 'SuperAdminController@profile');

Route::any('superadmin/change_password','SuperAdminController@change_password');
Route::get('/superadmin/edit_profile','SuperAdminController@edit_profile');

Route::any('/superadmin/edit_profile_post','SuperAdminController@edit_profile_post');
Route::any('/superadmin/add_apartment','SuperAdminController@add_apartment');

Route::any('/superadmin/add_apartment_submit','SuperAdminController@add_apartment_submit');

Route::any('/superadmin/apartments','SuperAdminController@apartments');

Route::any('/superadmin/edit_apartment/{id}', 'SuperAdminController@edit_apartment');

Route::any('superadmin/add_apartmentadmin/{id}', 'SuperAdminController@add_apartmentadmin');

Route::any('superadmin/apartmentadmin', 'SuperAdminController@apartmentadmin');
Route::any('superadmin/delete_user/{id}','SuperadminController@delete_user');




/* Apartment admin route */

Route::get('/profile', 'CommonController@profile');
Route::get('/apartmentadmin/profile', 'ApartmentAdminController@profile');

Route::get('/apartmentadmin/edit_profile','ApartmentAdminController@edit_profile');

Route::any('/apartmentadmin/edit_profile_post','ApartmentAdminController@edit_profile_post');

Route::any('apartmentadmin/change_password','ApartmentAdminController@change_password');

Route::any('apartmentadmin/block','ApartmentAdminController@block');
Route::any('apartmentadmin/add_block','ApartmentAdminController@add_block');

Route::any('apartmentadmin/units','ApartmentAdminController@units');
Route::any('apartmentadmin/complaints','ApartmentAdminController@complaints');

Route::any('apartmentadmin/compose_notice','ApartmentAdminController@compose_notice');

Route::any('apartmentadmin/noticeboard/{id}','ApartmentAdminController@noticeboard');

Route::any('apartmentadmin/complaint_info/{id}','ApartmentAdminController@complaint_info');

/*----*/


/* Common Route */
Route::any('common/roles','CommonController@roles');
Route::any('common/update_block','CommonController@update_block');
Route::any('common/add_block','CommonController@add_block');
Route::any('common/delete_block/{id}/{apartment_id}','CommonController@delete_block');
Route::any('common/get_blocks','CommonController@get_blocks');

Route::any('common/get_units','CommonController@get_units');
Route::any('common/get_units','CommonController@get_units');
Route::any('common/get_maintenance_user','CommonController@get_maintenance_user');
Route::any('common/get_unit_user','CommonController@get_unit_user');

Route::any('common/update_complaint_status','CommonController@update_complaint_status');






/* ---  */


/* Member Routes */


Route::get('/member/profile', 'MemberController@profile');
Route::get('/member/edit_profile','MemberController@edit_profile');
Route::any('/member/edit_profile_post','MemberController@edit_profile_post');
Route::any('member/change_password','MemberController@change_password');

Route::any('member/raise_complaint','MemberController@raise_complaint');

Route::any('member/complaints','MemberController@complaints');

Route::any('member/notice_board','MemberController@notice_board');
Route::any('member/expired_notices','MemberController@expired_notices');

Route::any('member/complaint_info/{id}','MemberController@complaint_info');

Route::any('member/read_notifications/{apartment_id}/{user_id}','MemberController@read_notifications');
/*---- */



/* Maintenance Routes */

Route::get('/maintenance/profile', 'MaintenanceController@profile');
Route::get('/maintenance/edit_profile','MaintenanceController@edit_profile');
Route::any('/maintenance/edit_profile_post','MaintenanceController@edit_profile_post');
Route::any('maintenance/change_password','MaintenanceController@change_password');

Route::any('webservice/login', 'WebserviceController@login');

/*---- */

Route::any('common/add_units','CommonController@add_units');


/* Webservice Api */
Route::any('webservice/insert_complaint', 'WebserviceController@insert_complaint');
Route::any('webservice/get_complaints', 'WebserviceController@get_complaints');
Route::any('webservice/get_complaint_info', 'WebserviceController@get_complaint_info');
Route::any('webservice/get_notices', 'WebserviceController@get_notices');

Route::any('webservice/change_password', 'WebserviceController@change_password');


